--- old/usr/src/uts/common/sys/proc.h	2015-05-27 19:47:06.686850846 -0400
+++ new/usr/src/uts/common/sys/proc.h	2015-05-27 19:47:06.698854128 -0400
@@ -47,6 +47,7 @@
 #include <sys/list.h>
 #include <sys/avl.h>
 #include <sys/door_impl.h>
+#include <sys/secflags.h>
 
 #ifdef	__cplusplus
 extern "C" {
@@ -347,6 +348,7 @@
 	struct vnode	*p_execdir;	/* directory that p_exec came from */
 	struct brand	*p_brand;	/* process's brand  */
 	void		*p_brand_data;	/* per-process brand state */
+	psecflags_t	p_secflags;	/* per-process security flags */
 
 	/* additional lock to protect p_sessp (but not its contents) */
 	kmutex_t p_splock;
@@ -784,6 +786,13 @@
 #define	LWP_MMODEL_SHARED_AS(addr, sz)
 #endif
 
+/* Security flag manipulation */
+extern boolean_t secflag_enabled(proc_t *, uint_t);
+extern void secflag_set(proc_t *, uint_t);
+extern void secflag_enable(proc_t *, uint_t);
+extern void secflag_disable(proc_t *, uint_t);
+extern void secflag_promote(proc_t *);
+
 /*
  * Signal queue function prototypes. Must be here due to header ordering
  * dependencies.
